"""Vues pour l'authentification des utilisateurs."""

from django.contrib.auth import logout
from django.shortcuts import redirect
from django.urls import reverse_lazy

from django.conf import settings


def connexion(request):
    """Redirige vers le serveur SSO pour l'authentification."""
    return redirect(reverse_lazy("simple-sso-login"))


def deconnexion(request):
    """Gérez la déconnexion des utilisateurs."""
    logout(request)
    return redirect(settings.SSO_LOGOUT_URL)